Update mDoc status
Roles
Analytics Events
/v2/credentials/mobile/{credentialId}/statusSets the status of an existing mDoc by providing its credentialId and the new status. Status can only be valid, suspended or invalid.
Once an mDoc's status is updated to invalid, it cannot be updated again to any other value.
Analytic events
- MOBILE_CREDENTIAL_STATUS_SET_START
- MOBILE_CREDENTIAL_STATUS_SET_SUCCESS
- MOBILE_CREDENTIAL_STATUS_SET_FAIL
Authorization
bearerAuth In: header
Path Parameters
mDoc identifier
uuidRequest Body
application/json
Credential status payload
mDoc status.
"valid" | "suspended" | "invalid"Response Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/mobile/3948c40e-6e19-4ffc-933c-91f643f24264/status" \ -H "Content-Type: application/json" \ -d '{ "status": "valid" }'{
"status": "valid"
}{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"location": "params",
"msg": "Invalid value",
"param": "credentialId",
"value": "abc"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Status list distribution GET
Retrieves an object that details all existing Status lists tokens on the tenant. This public endpoint allows a relying party to consume and cache status lists. Each list in the response includes a URL where its token can be retrieved. Status list tokens that were signed by expired IACAs are excluded from the response. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_DISTRIBUTION_START * MOBILE_CREDENTIAL_STATUS_LIST_DISTRIBUTION_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_DISTRIBUTION_FAIL
Retrieve mDoc status GET
Retrieves the status of an existing mDoc by providing its `credentialId`. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_RETRIEVE_START * MOBILE_CREDENTIAL_STATUS_RETRIEVE_SUCCESS * MOBILE_CREDENTIAL_STATUS_RETRIEVE_FAIL